--[[
-- Copyright (c) 2012-2013  Anton Savoshchanka (aka AntonioModer)
--
-- This software is provided 'as-is', without any express or implied
-- warranty.  In no event will the authors be held liable for any damages
-- arising from the use of this software.
--
-- Permission is granted to anyone to use this software for any purpose,
-- including commercial applications, and to alter it and redistribute it
-- freely, subject to the following restrictions:
--
-- 1. The origin of this software must not be misrepresented; you must not
--    claim that you wrote the original software. If you use this software
--    in a product, an acknowledgment in the product documentation would be
--    appreciated but is not required.
-- 2. Altered source versions must be plainly marked as such, and must not be
--    misrepresented as being the original software.
-- 3. This notice may not be removed or altered from any source distribution.
--]]

--[[
v2.1.0
TODO:
--]]

function love.load() 
 	love._openConsole()
	
	-- auto for images - 1.png, 2.png, ... n.png --
	for i=1, 22 do
		imageDataInput = love.image.newImageData(tostring(i)..'.png')
		iDW = imageDataInput:getWidth()
		iDH = imageDataInput:getHeight()
		
		imageData = love.image.newImageData(iDW+2,iDH+2)
		imageData:paste( imageDataInput, 1, 1, 0, 0, iDW, iDH )
		iDW = imageData:getWidth()-1
		iDH = imageData:getHeight()-1		
		-- print(iDW, iDH)
		
		-- draw borders in imageData --
		local r, g, b, a = 0,0,0,0;
		-- ,   --
		r, g, b, a = imageData:getPixel( 1, 1 )
		imageData:setPixel( 0, 0, r, g, b, a )
		r, g, b, a = imageData:getPixel( iDW-1, 1 )
		imageData:setPixel( iDW, 0, r, g, b, a )	
		r, g, b, a = imageData:getPixel( iDW-1, iDH-1 )
		imageData:setPixel( iDW, iDH, r, g, b, a )		
		r, g, b, a = imageData:getPixel( 1, iDH-1 )
		imageData:setPixel( 0, iDH, r, g, b, a )		
		-- top --
		for x=1, iDW-1 do
			r, g, b, a = imageData:getPixel( x, 1 )
			imageData:setPixel( x, 0, r, g, b, a )		
		end
		-- bottom --
		for x=1, iDW-1 do
			r, g, b, a = imageData:getPixel( x, iDH-1 )
			imageData:setPixel( x, iDH, r, g, b, a )		
		end
		-- left --
		for y=1, iDH-1 do
			r, g, b, a = imageData:getPixel( 1, y )
			imageData:setPixel( 0, y, r, g, b, a )		
		end	
		-- right --
		for y=1, iDH-1 do
			r, g, b, a = imageData:getPixel( iDW-1, y )
			imageData:setPixel( iDW, y, r, g, b, a )		
		end		
		
		-- save (...\Application Data\LOVE\<folderName where main.lua>\output.png) --
		imageData:encode(tostring(i)..'.png')	
	end

end

function love.update(dt)
	
end

function love.draw()

end